---
title: "getCloudCacheImageProductList"
slug: "database-vcache-getcloudcacheimageproductlist"
updated: 2026-09-17T10:05:51Z
published: 2026-09-17T10:05:51Z
canonical: "api.ncloud-docs.com/database-vcache-getcloudcacheimageproductlist"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# getCloudCacheImageProductList
Available in VPC
Get the Cloud DB for Cache image product code list.
Note
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- getCloudCacheImageProductList API: Support for Valkey and Redis DBMS
- getCloudRedisImageProductList API: Support for Redis DBMS
## getCloudCacheImageProductList API
This section describes the request and response formats for the getCloudCacheImageProductList API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vcache/v2/getCloudCacheImageProductList |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache image product code list to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `productCode` | String | Optional | Filter by Cloud DB for Cache image product code. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). |
| `exclusionProductCode` | String | Optional | Filter by excluding the Cloud DB for Cache image product code. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). |
| `generationCode` | String | Optional | Filter by server generation code. - `G2` \| `G3` |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheImageProductList
?regionCode=KR
&productCode=SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"getCloudCacheImageProductListResponse": {
"totalRows": 1,
"productList": [
{
"productCode": "SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050",
"productName": "Valkey(7.2.11)",
"productType": {
"code": "LINUX",
"codeName": "Linux"
},
"productDescription": "Rocky Linux 8.10 with Valkey",
"infraResourceType": {
"code": "SW",
"codeName": "Software"
},
"baseBlockStorageSize": 53687091200,
"platformType": {
"code": "LNX64",
"codeName": "Linux 64 Bit"
},
"osInformation": "Rocky Linux 8.10 with Valkey (64-bit)",
"generationCode": "G2",
"engineVersionCode": "7.2.11"
}
],
"requestId": "85d5d076-****-****-****-109aff5e430e",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
85d5d076-****-****-****-109aff5e430e
0
success
1
SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050
Valkey
LINUX
Linux
Rocky Linux 8.10 with Valkey
SW
Software
53687091200
LNX64
Linux 64 Bit
Rocky Linux 8.10 with Valkey (64-bit)
G2
7.2.11
```
## getCloudRedisImageProductList API
This section describes the request and response formats for the getCloudRedisImageProductList API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vredis/v2/getCloudRedisImageProductList |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache image product code list to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `productCode` | String | Optional | Filter by Cloud DB for Cache image product code. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). |
| `exclusionProductCode` | String | Optional | Filter by excluding the Cloud DB for Cache image product code. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). |
| `generationCode` | String | Optional | Filter by server generation code. - `G2` \| `G3` |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisImageProductList
?regionCode=KR
&productCode=SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"getCloudRedisImageProductListResponse": {
"totalRows": 1,
"productList": [
{
"productCode": "SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050",
"productName": "Redis(7.0.15)",
"productType": {
"code": "LINUX",
"codeName": "Linux"
},
"productDescription": "CentOS 7.8 with Redis 7.0.15",
"infraResourceType": {
"code": "SW",
"codeName": "Software"
},
"baseBlockStorageSize": 53687091200,
"platformType": {
"code": "LNX64",
"codeName": "Linux 64 Bit"
},
"osInformation": "CentOS 7.8 with Redis 7.0.15 (64-bit)",
"generationCode": "G2"
}
],
"requestId": "85d5d076-****-****-****-109aff5e430e",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
85d5d076-****-****-****-109aff5e430e
0
success
1
SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050
Redis(7.0.15)
LINUX
Linux
CentOS 7.8 with Redis 7.0.15
SW
Software
53687091200
LNX64
Linux 64 Bit
CentOS 7.8 with Redis 7.0.15 (64-bit)
G2
```